spark-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sean R. Owen (Jira)" <j...@apache.org>
Subject [jira] [Created] (SPARK-29674) Update dropwizard metrics to 4.1.1 for JDK 9+ support
Date Wed, 30 Oct 2019 23:50:00 GMT
Sean R. Owen created SPARK-29674:
------------------------------------

             Summary: Update dropwizard metrics to 4.1.1 for JDK 9+ support
                 Key: SPARK-29674
                 URL: https://issues.apache.org/jira/browse/SPARK-29674
             Project: Spark
          Issue Type: Sub-task
          Components: Spark Core
    Affects Versions: 3.0.0
            Reporter: Sean R. Owen
            Assignee: Sean R. Owen


It looks like dropwizard metrics 4.x has some fixed for JDK 9+:
https://github.com/dropwizard/metrics/pull/1236

It looks like it's relatively easy to update to 4.1.x from 3.2.x, so we should probably do
it for Spark 3.0.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@spark.apache.org
For additional commands, e-mail: issues-help@spark.apache.org


Mime
View raw message